---
lang: en
title: 'API docs: repository.applicationwithrepositories.getrepository'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.applicationwithrepositories.getrepository.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ApplicationWithRepositories](./repository.applicationwithrepositories.md) &gt; [getRepository](./repository.applicationwithrepositories.getrepository.md)

## ApplicationWithRepositories.getRepository() method

<b>Signature:</b>

```typescript
getRepository<R extends Repository<any>>(repo: Class<R>): Promise<R>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  repo | <code>Class&lt;R&gt;</code> |  |

<b>Returns:</b>

`Promise<R>`


